Bug 149777 - array subscript out of range
array subscript out of range
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hunt (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-26 09:51 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 08:50:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-26 09:51:52 EST
Description of problem:

I just tried to compile package hunt-1.5-2 from 
Redhat Fedora Extras development tree.

The compiler said

c/hash.c(29): warning #175: subscript out of range

The source code is

            return ht_size[sizeof(ht_size) / sizeof(ht_size[0])];

Suggest avoid reading one beyond the end of the array.  Maybe the
programmer meant

            return ht_size[ (sizeof(ht_size) / sizeof(ht_size[0])) - 1];


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Enrico Scholz 2005-03-03 08:50:21 EST
thx, fixed in CVS and will be in next release

Note You need to log in before you can comment on or make changes to this bug.